Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.data.basic
Class BasicNeuralDataSet

    java.lang.Object
      org.encog.ml.data.basic.BasicMLDataSet
          org.encog.neural.data.basic.BasicNeuralDataSet

All Implemented Interfaces:
  Serializable, Iterable<MLDataPair>, MLDataSet, NeuralDataSet

Direct Known Subclasses:
  TemporalMLDataSet

    public class BasicNeuralDataSet

extends BasicMLDataSet
implements NeuralDataSet

This is an alias class for Encog 2.5 compatibility. This class aliases BasicMLDataSet. Newer code should use BasicMLDataSet in place of this class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.encog.ml.data.basic.BasicMLDataSet
`BasicMLDataSet.BasicMLIterator`

Constructor Summary
`BasicNeuralDataSet()` Construct empty.
`BasicNeuralDataSet(double[][] input, double[][] ideal)` Construct from 2d arrays.
`BasicNeuralDataSet(List<MLDataPair> theData)` Construct from another list.
`BasicNeuralDataSet(NeuralDataSet set)` Construct from another object.

Method Summary

Methods inherited from class org.encog.ml.data.basic.BasicMLDataSet
`add, add, add, clone, close, get, getData, getIdealSize, getInputSize, getRecord, getRecordCount, isSupervised, iterator, openAdditional, setData, size, toList`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.encog.ml.data.MLDataSet
`add, add, add, close, get, getIdealSize, getInputSize, getRecord, getRecordCount, isSupervised, openAdditional, size`

Methods inherited from interface java.lang.Iterable
`iterator`

Constructor Detail

### BasicNeuralDataSet

    public BasicNeuralDataSet()

  Construct empty.

### BasicNeuralDataSet

    public BasicNeuralDataSet(double[][] input,
                              double[][] ideal)

  Construct from 2d arrays.

  Parameters:
    `input` - The input.
    `ideal` - The ideal.

### BasicNeuralDataSet

    public BasicNeuralDataSet(List<MLDataPair> theData)

  Construct from another list.

  Parameters:
    `theData` - The other list.

### BasicNeuralDataSet

    public BasicNeuralDataSet(NeuralDataSet set)

  Construct from another object.

  Parameters:
    `set` - The other object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.